kas getticket              AFS Commands           kas getticket


NAME

   kas  getticket -- create  a  ticket valid for the specified

                       server.


   kas getticket  -name <name of server>
   [-admin_username <admin principal to use for
   authentication>]
   [-password_for_admin <admin password>]  [-cell <cell name>]
                                                             +
          [-servers <explicit list of authentication servers> ]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas gett  -na <name of server>  [-a <admin principal to use
   for authentication>]
   [-p <admin password>]  [-c <cell name>]
                                                +
   [-s <explicit list of authentication servers> ]  [-no]  [-h]

DESCRIPTION

   Instructs the Ticket Granting Service to create a ticket for
   the  issuer  of  the  command,  which  he or she can use for
   secured communication with name of server.   The  ticket  is
   sealed  with  the  contents  of  the  key  field  in name of
   server's Database entry.

   This command is functionally similar to klog.  It is  useful
   primarily  for debugging purposes, and is not recommended as
   the normal way  to  obtain  tickets.    Also,  while  it  is
   possible  to  make name of server an individual user as well
   as a server process, such a ticket is  useless  because  the
   user's workstation will not know what to do with it.

ARGUMENTS

   -name             specifies the Database entry from which to
                     use the  key.    It  may  include  a  cell
                     specification (example:

                     kas getticket afs@transarc.com

                     gets  a ticket good for all AFS servers in
                     the Transarc Corporation cell).

   -admin_username   specifies the user name  under  which  the
                     issuer  wishes to perform the command.  If
                     the  issuer  does  not  provide  it,   the
                     current identity is used.  See section 4.3
                     in the Reference Manual for more  details.
                     -password_for_admin
                     specifies  the  issuer's  password.     If
                     provided  here, the password is visible on
                     the  screen.    If  the  issuer  does  not
                     provide  it,  it  will be prompted for and
                     not be visible on the screen.  See section
                     4.3  in  the  Reference  Manual  for  more



                     details.  -cell
                     specifies  the  cell  in  which to run the
                     command, if  not  the  local  cell.    See
                     section  4.3  in  the Reference Manual for
                     more details.  -servers
                     specifies  the  database server machine(s)
                     with which to establish a connection.  See
                     section  4.3  in  the Reference Manual for
                     more details.  -noauth
                     establishes  an unauthenticated connection
                     between  the  Authentication  Servers  and
                     issuer,  whom they assign the unprivileged
                     identity anonymous rather than  attempting
                     mutual authentication.  See section 4.3 in
                     the Reference  Manual  for  more  details.
                     -help
                     prints the online help for  this  command.
                     Do  not  provide  any  other  arguments or
                     flags with this one.  See section  4.3  in
                     the Reference Manual for more details.

EXAMPLE

   The  following  shows  the  regular  user  terry obtaining a
   ticket for the AFS server processes in her home cell.

   % kas gett afs  Password for terry:

PRIVILEGE REQUIRED

   None.  However, the issuer must provide his or  her  correct
   password.

MORE INFORMATION
